Get the details of a consignment tracking

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
  • consignmentTrackingId
    Type: stringFormat: uuid
    required
Responses
  • application/json
Request Example for get/v1/consignments/{consignmentId}/tracking/{consignmentTrackingId}
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/tracking/123e4567-e89b-12d3-a456-426614174000
{
  "carrierName": null,
  "status": "enum (Unknown = 0, Printed = 1, Dispatched = 2, InTransit = 3, OutForDelivery = 4, Delivered = 5, PickupInStore = 6, AttemptedDelivery = 7, Exception = 8, AwaitingCollection = 9, Cancelled = 10, Manifested = 11)",
  "trackingUrl": null,
  "trackingNumber": null,
  "integrationName": null,
  "createdUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "modifiedUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
  "lastUpdatedDate": "date (YYYY-MM-DD)",
  "trackingEvents": [
    {
      "status": "enum (Unknown = 0, Printed = 1, Dispatched = 2, InTransit = 3, OutForDelivery = 4, Delivered = 5, PickupInStore = 6, AttemptedDelivery = 7, Exception = 8, AwaitingCollection = 9, Cancelled = 10, Manifested = 11)",
      "details": null,
      "eventDateTime": "datetime (YYYY-MM-DDTHH:MM:SSZ)",
      "createdUtc": "datetime (YYYY-MM-DDTHH:MM:SSZ)"
    }
  ]
}